#!/bin/sh

cmd=echo

case $1 in
-force)
    cmd=
esac

exec > /tmp/wl-tmp-cleanup.`date +%y%m%d_%H%M%S` 2>&1

keep='
    condor_g_scratch.*
    dglogd_sock_*
    dgpr_renew_*
    edg-wl-workload_manager.pid
    interlog20.sock
    jobcontrol
    logging
    logmonitor
    networkserver
    proxyrenewal
    workload_manager
    x509*
'

cleanup='
    SandboxDir
'

cleanup2='
    jobcontrol/cond
    jobcontrol/submit
'

MTIME_MAX=30	# days

for dir in /tmp /var/tmp
do
    echo === $dir
    cd $dir

    for i in $keep $cleanup
    do
	#
	# foil tmpwatch...
	#

	find "$i" -exec $cmd sh -cx 'touch -a "$0"' {} \;
    done

    for i in $cleanup $cleanup2
    do
	#
	# remove old files and subdirectories
	#

	find "$i" -depth -mtime +$MTIME_MAX \( \
	    ! -type d -exec $cmd sh -cx 'rm -f "$0"' {} \; -o \
	    -type d -exec sh -c 'test "X$0" != "X$1"' {} "$i" \; \
	    -exec $cmd sh -cx 'rmdir "$0"' {} \; \)
    done
done
